# $Revision: 1.16 $, $Date: 2007/02/13 07:47:14 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	POE
%define		pnam	Sugar-Args
Summary:	POE::Sugar::Args - get "pretty", OO representation of args
Summary(pl.UTF-8):	POE::Sugar::Args - "ładna", obiektowo zorientowana reprezentacja argumentów
Name:		perl-POE-Sugar-Args
Version:	1.3
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	99b1a0c0abb3a25353603bb79be7d005
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Devel-Caller-Perl
BuildRequires:	perl-Exporter-Lite
BuildRequires:	perl-POE
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module give an OO representation to arguments POE passes to event
states. I will not lie to you. This adds heavy, bulky code underneath.
On the other hand, it makes arguments for POE events much more
palatable. Of course, this is a Sugar module, meaning, it will rot
your program in odd (you'll be hooked) and unexpected ways
(performace), but you took the candy so you can suffer the
consequences. Good luck.

%description -l pl.UTF-8
Ten moduł nadaje obiektowo zorientowaną reprezentację argumentom,
które POE przekazuje do stanów zdarzeń. Autor nie zamierza kłamać -
ten moduł dodaje ciężki, masywny kod. Z drugiej strony, czyni
argumenty zdarzeń POE bardziej smacznymi. Oczywiście jest to moduł
Sugar (cukier), co oznacza, że program zgnije w dziwny i nieoczekiwany
sposób (wydajność), ale używający tego modułu bierze cukierek i może
znosić konsekwencje. Powodzenia.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
touch Makefile.PL
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"POE::Sugar::Args",PL_FILES=>{})' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-Sugar-Args.spec,v $
Revision 1.16  2007/02/13 07:47:14  glen
- tabs in preamble

Revision 1.15  2007/02/12 00:49:44  baggins
- converted to UTF-8

Revision 1.14  2004/11/03 22:30:39  paladine
- formatting

Revision 1.13  2004/06/14 09:37:41  radek
- cleanup

Revision 1.12  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.11  2004/05/06 18:20:53  ankry
- fixed perl-devel BR

Revision 1.10  2004/04/27 15:26:25  ankry
- new bconds

Revision 1.9  2004/04/15 08:54:06  ankry
- summary cosmetics

Revision 1.8  2004/04/13 08:41:45  adamg
- better BuildRequires

Revision 1.7  2004/04/11 09:20:27  jack
s/reprecentacj/reprezentacj/g

Revision 1.6  2004/04/11 09:13:22  agaran
 - updated to 1.3

Revision 1.5  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.4  2003/08/27 22:15:21  qboosh
- pl

Revision 1.3  2003/08/27 00:16:34  gotar
- fixed changelog trailer

Revision 1.2  2003/08/19 16:21:20  radek
- added forgotten Source0-md5

Revision 1.1  2003/08/19 16:19:23  radek
- new
